> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connect Webviews

> Returns a list of all [Connect Webviews](https://docs.seam.co/core-concepts/connect-webviews).



## OpenAPI

````yaml /openapi.json post /connect_webviews/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /connect_webviews/list:
    post:
      tags:
        - /connect_webviews
      summary: List Connect Webviews
      description: >-
        Returns a list of all [Connect
        Webviews](https://docs.seam.co/core-concepts/connect-webviews).
      operationId: connectWebviewsListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                custom_metadata_has:
                  additionalProperties:
                    oneOf:
                      - type: string
                      - type: boolean
                  description: >-
                    Custom metadata pairs by which you want to [filter Connect
                    Webviews](https://docs.seam.co/core-concepts/connect-webviews/filtering-connect-webviews-by-custom-metadata).
                    Returns Connect Webviews with `custom_metadata` that
                    contains all of the provided key:value pairs.
                  type: object
                customer_key:
                  description: Customer key for which you want to list connect webviews.
                  type: string
                limit:
                  default: 500
                  description: Maximum number of records to return per page.
                  format: float
                  type: number
                page_cursor:
                  description: >-
                    Identifies the specific page of results to return, obtained
                    from the previous page's `next_page_cursor`.
                  nullable: true
                  type: string
                search:
                  description: >-
                    String for which to search. Filters returned Connect
                    Webviews to include all records that satisfy a partial match
                    using `connect_webview_id`, `accepted_providers`,
                    `custom_metadata`, or `customer_key`.
                  minLength: 1
                  type: string
                user_identifier_key:
                  description: >-
                    Your user ID for the user by which you want to filter
                    Connect Webviews.
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  connect_webviews:
                    items:
                      $ref: '#/components/schemas/connect_webview'
                    type: array
                  ok:
                    type: boolean
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - connect_webviews
                  - pagination
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - client_session_with_customer: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.connectWebviews.list({
              customer_ids: ["e387e15f-be27-47ad-881f-4a6fc5460c57"],
              limit: 50,
            });

            /*
            {
              "accepted_capabilities": [
                "lock",
                "thermostat"
              ],
              "accepted_devices": [],
              "accepted_providers": [
                "kwikset",
                "schlage",
                "smartthings",
                "yale"
              ],
              "any_device_allowed": true,
              "any_provider_allowed": false,
              "authorized_at": null,
              "automatically_manage_new_devices": true,
              "connect_webview_id": "c4c30885-ec87-4b31-8d7b-9bc0678fa028",
              "connected_account_id": null,
              "created_at": "2025-06-14T16:54:17.946323Z",
              "custom_metadata": {
                "id": "internalId1"
              },
              "custom_redirect_failure_url": "https://example.com/failure-redirect",
              "custom_redirect_url": "https://example.com/redirect",
              "device_selection_mode": "none",
              "login_successful": false,
              "selected_provider": null,
              "status": "pending",
              "url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
              "wait_for_device_creation": true,
              "workspace_id": "9db95105-e77d-4577-b1b7-0a20b360d5e0"
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/connect_webviews/list" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "customer_ids": [
                "e387e15f-be27-47ad-881f-4a6fc5460c57"
              ],
              "limit": 50
            }

            EOF


            # Response:

            # {

            #   "connect_webviews": {

            #     "accepted_capabilities": [

            #       "lock",

            #       "thermostat"

            #     ],

            #     "accepted_devices": [],

            #     "accepted_providers": [

            #       "kwikset",

            #       "schlage",

            #       "smartthings",

            #       "yale"

            #     ],

            #     "any_device_allowed": true,

            #     "any_provider_allowed": false,

            #     "authorized_at": null,

            #     "automatically_manage_new_devices": true,

            #     "connect_webview_id": "c4c30885-ec87-4b31-8d7b-9bc0678fa028",

            #     "connected_account_id": null,

            #     "created_at": "2025-06-14T16:54:17.946323Z",

            #     "custom_metadata": {

            #       "id": "internalId1"

            #     },

            #     "custom_redirect_failure_url":
            "https://example.com/failure-redirect",

            #     "custom_redirect_url": "https://example.com/redirect",

            #     "device_selection_mode": "none",

            #     "login_successful": false,

            #     "selected_provider": null,

            #     "status": "pending",

            #     "url":
            "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",

            #     "wait_for_device_creation": true,

            #     "workspace_id": "9db95105-e77d-4577-b1b7-0a20b360d5e0"

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.connect_webviews.list(
                customer_ids=["e387e15f-be27-47ad-881f-4a6fc5460c57"], limit=50
            )

            # ConnectWebview(
                accepted_capabilities=["lock", "thermostat"],
                accepted_devices=[],
                accepted_providers=["kwikset", "schlage", "smartthings", "yale"],
                any_device_allowed=true,
                any_provider_allowed=false,
                authorized_at=None,
                automatically_manage_new_devices=true,
                connect_webview_id="c4c30885-ec87-4b31-8d7b-9bc0678fa028",
                connected_account_id=None,
                created_at="2025-06-14T16:54:17.946323Z",
                custom_metadata={"id": "internalId1"},
                custom_redirect_failure_url="https://example.com/failure-redirect",
                custom_redirect_url="https://example.com/redirect",
                device_selection_mode="none",
                login_successful=false,
                selected_provider=None,
                status="pending",
                url="https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
                wait_for_device_creation=true,
                workspace_id="9db95105-e77d-4577-b1b7-0a20b360d5e0",
            )
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.connect_webviews.list(customer_ids:
            ["e387e15f-be27-47ad-881f-4a6fc5460c57"], limit: 50)


            # => {
              "accepted_capabilities" => %w[lock thermostat],
              "accepted_devices" => [],
              "accepted_providers" => %w[kwikset schlage smartthings yale],
              "any_device_allowed" => true,
              "any_provider_allowed" => false,
              "authorized_at" => nil,
              "automatically_manage_new_devices" => true,
              "connect_webview_id" => "c4c30885-ec87-4b31-8d7b-9bc0678fa028",
              "connected_account_id" => nil,
              "created_at" => "2025-06-14T16:54:17.946323Z",
              "custom_metadata" => {
                id: "internalId1",
              },
              "custom_redirect_failure_url" => "https://example.com/failure-redirect",
              "custom_redirect_url" => "https://example.com/redirect",
              "device_selection_mode" => "none",
              "login_successful" => false,
              "selected_provider" => nil,
              "status" => "pending",
              "url" =>
                "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
              "wait_for_device_creation" => true,
              "workspace_id" => "9db95105-e77d-4577-b1b7-0a20b360d5e0",
            }
        - lang: php
          label: Seam SDK
          source: |-
            $seam->connect_webviews->list(
                customer_ids: ["e387e15f-be27-47ad-881f-4a6fc5460c57"],
                limit: 50,
            );

            // [
                "accepted_capabilities" => ["lock", "thermostat"],
                "accepted_devices" => [],
                "accepted_providers" => ["kwikset", "schlage", "smartthings", "yale"],
                "any_device_allowed" => true,
                "any_provider_allowed" => false,
                "authorized_at" => null,
                "automatically_manage_new_devices" => true,
                "connect_webview_id" => "c4c30885-ec87-4b31-8d7b-9bc0678fa028",
                "connected_account_id" => null,
                "created_at" => "2025-06-14T16:54:17.946323Z",
                "custom_metadata" => ["id" => "internalId1"],
                "custom_redirect_failure_url" => "https://example.com/failure-redirect",
                "custom_redirect_url" => "https://example.com/redirect",
                "device_selection_mode" => "none",
                "login_successful" => false,
                "selected_provider" => null,
                "status" => "pending",
                "url" =>
                    "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
                "wait_for_device_creation" => true,
                "workspace_id" => "9db95105-e77d-4577-b1b7-0a20b360d5e0",
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam connect-webviews list --customer_ids
            ["e387e15f-be27-47ad-881f-4a6fc5460c57"] --limit 50


            # {

            #   "accepted_capabilities": [

            #     "lock",

            #     "thermostat"

            #   ],

            #   "accepted_devices": [],

            #   "accepted_providers": [

            #     "kwikset",

            #     "schlage",

            #     "smartthings",

            #     "yale"

            #   ],

            #   "any_device_allowed": true,

            #   "any_provider_allowed": false,

            #   "authorized_at": null,

            #   "automatically_manage_new_devices": true,

            #   "connect_webview_id": "c4c30885-ec87-4b31-8d7b-9bc0678fa028",

            #   "connected_account_id": null,

            #   "created_at": "2025-06-14T16:54:17.946323Z",

            #   "custom_metadata": {

            #     "id": "internalId1"

            #   },

            #   "custom_redirect_failure_url":
            "https://example.com/failure-redirect",

            #   "custom_redirect_url": "https://example.com/redirect",

            #   "device_selection_mode": "none",

            #   "login_successful": false,

            #   "selected_provider": null,

            #   "status": "pending",

            #   "url":
            "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",

            #   "wait_for_device_creation": true,

            #   "workspace_id": "9db95105-e77d-4577-b1b7-0a20b360d5e0"

            # }
components:
  schemas:
    connect_webview:
      description: >-
        Represents a [Connect
        Webview](https://docs.seam.co/core-concepts/connect-webviews).
      properties:
        accepted_capabilities:
          description: >-
            High-level device capabilities that the Connect Webview can accept.
            When creating a Connect Webview, you can specify the types of
            devices that it can connect to Seam. If you do not set custom
            `accepted_capabilities`, Seam uses a default set of
            `accepted_capabilities` for each provider. For example, if you
            create a Connect Webview that accepts SmartThing devices, without
            specifying `accepted_capabilities`, Seam accepts only SmartThings
            locks. To connect SmartThings thermostats and locks to Seam, create
            a Connect Webview and include both `thermostat` and `lock` in the
            `accepted_capabilities`.
          items:
            description: |2

                High-level device capabilities that can be restricted in connect webviews.
                These represent the main device categories that customers can opt into.
            enum:
              - lock
              - thermostat
              - noise_sensor
              - access_control
              - camera
            type: string
          type: array
        accepted_devices:
          deprecated: true
          items:
            type: string
          type: array
          x-deprecated: Unused. Will be removed.
          x-undocumented: Unused. Will be removed.
        accepted_providers:
          description: >-
            List of accepted [provider
            keys](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).
          items:
            type: string
          type: array
        any_device_allowed:
          deprecated: true
          type: boolean
          x-deprecated: Unused. Will be removed.
          x-undocumented: Unused. Will be removed.
        any_provider_allowed:
          description: Indicates whether any provider is allowed.
          type: boolean
        authorized_at:
          description: >-
            Date and time at which the user authorized (through the Connect
            Webview) the management of their devices.
          format: date-time
          nullable: true
          type: string
        automatically_manage_new_devices:
          description: >-
            Indicates whether Seam should [import all new
            devices](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#automatically_manage_new_devices)
            for the connected account to make these devices available for use
            and management by the Seam API.
          type: boolean
        connect_webview_id:
          description: ID of the Connect Webview.
          format: uuid
          type: string
        connected_account_id:
          description: >-
            ID of the [connected
            account](https://docs.seam.co/core-concepts/connected-accounts)
            associated with the Connect Webview.
          format: uuid
          nullable: true
          type: string
        created_at:
          description: Date and time at which the Connect Webview was created.
          format: date-time
          type: string
        custom_metadata:
          additionalProperties:
            oneOf:
              - type: string
              - type: boolean
          description: >-
            Set of key:value pairs. Adding custom metadata to a resource, such
            as a [Connect
            Webview](https://docs.seam.co/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview),
            [connected
            account](https://docs.seam.co/core-concepts/connected-accounts/adding-custom-metadata-to-a-connected-account),
            or
            [device](https://docs.seam.co/core-concepts/devices/adding-custom-metadata-to-a-device),
            enables you to store custom information, like customer details or
            internal IDs from your application.
          type: object
        custom_redirect_failure_url:
          description: >-
            URL to which the Connect Webview should redirect when an unexpected
            error occurs.
          format: uri
          nullable: true
          type: string
        custom_redirect_url:
          description: >-
            URL to which the Connect Webview should redirect when the user
            successfully pairs a device or system. If you do not set the
            `custom_redirect_failure_url`, the Connect Webview redirects to the
            `custom_redirect_url` when an unexpected error occurs.
          format: uri
          nullable: true
          type: string
        customer_key:
          description: The customer key associated with this webview, if any.
          type: string
        device_selection_mode:
          enum:
            - none
            - single
            - multiple
          type: string
        login_successful:
          description: >-
            Indicates whether the user logged in successfully using the Connect
            Webview.
          type: boolean
        selected_provider:
          description: >-
            Selected provider of the Connect Webview, one of the [provider
            keys](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).
          nullable: true
          type: string
        status:
          description: >-
            Status of the Connect Webview. `authorized` indicates that the user
            has successfully logged into their device or system account, thereby
            completing the Connect Webview.
          enum:
            - pending
            - failed
            - authorized
          type: string
        url:
          description: >-
            URL for the Connect Webview. You use the URL to display the Connect
            Webview flow to your user.
          format: uri
          type: string
        wait_for_device_creation:
          description: >-
            Indicates whether Seam should [finish syncing all
            devices](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#wait_for_device_creation)
            in a newly-connected account before completing the associated
            Connect Webview.
          type: boolean
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            that contains the Connect Webview.
          format: uuid
          type: string
      required:
        - connect_webview_id
        - workspace_id
        - created_at
        - connected_account_id
        - url
        - device_selection_mode
        - accepted_providers
        - accepted_capabilities
        - accepted_devices
        - any_device_allowed
        - any_provider_allowed
        - login_successful
        - status
        - custom_redirect_url
        - custom_redirect_failure_url
        - custom_metadata
        - automatically_manage_new_devices
        - wait_for_device_creation
        - authorized_at
        - selected_provider
      type: object
      x-route-path: /connect_webviews
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````